<?php
/**
 * This file is part of the official Amazon Checkout extension for Magento 1.x
 *
 * (c) 2020 creativestyle GmbH. All Rights reserved
 *
 * Distribution of the derivatives reusing, transforming or being built upon
 * this software, is not allowed without explicit written permission granted
 * by creativestyle GmbH
 *
 * @category   Creativestyle
 * @package    Creativestyle_AmazonCheckout
 * @copyright  2020 creativestyle GmbH
 * @author     Marek Stefan <ticket@creativestyle.de>
 */
class Creativestyle_AmazonCheckout_Block_Adminhtml_System_Config_Field_PrivateKey extends
    Mage_Adminhtml_Block_System_Config_Form_Field
{
    protected $_placeholder = '[encrypted]';

    protected function _getElementHtml(Varien_Data_Form_Element_Abstract $element)
    {
        $element->setValue('');

        $html = parent::_getElementHtml($element);
        $html .= '<div style="clear:both;">';
        if ($this->getConfigData(Creativestyle_AmazonCheckout_Model_Config::XML_PATH_PRIVATE_KEY)) {
            $html .= <<<EOF
<script type="text/javascript">//<![CDATA[
    $('{$element->getId()}').setAttribute('placeholder', '{$this->_placeholder}');
//]]></script>
EOF;
        }

        $html .= '</div>';
        return $html;
    }
}
