<?php
/**
 * This file is part of the official Amazon Checkout extension for Magento 1.x
 *
 * (c) 2020 creativestyle GmbH. All Rights reserved
 *
 * Distribution of the derivatives reusing, transforming or being built upon
 * this software, is not allowed without explicit written permission granted
 * by creativestyle GmbH
 *
 * @category   Creativestyle
 * @package    Creativestyle_AmazonCheckout
 * @copyright  2020 creativestyle GmbH
 * @author     Marek Stefan <ticket@creativestyle.de>
 */

class Creativestyle_AmazonCheckout_Model_System_Config_Source_Language extends Creativestyle_AmazonCheckout_Model_System_Config_Source_Abstract
{
    const DEFAULT_LANGUAGE = 'en_GB';

    protected $_options = array(
        ''      => 'Auto',
        'en_GB' => 'English',
        'de_DE' => 'German',
        'fr_FR' => 'French',
        'it_IT' => 'Italian',
        'es_ES' => 'Spanish'
    );

    /**
     * Return Amazon Pay widgets language for the given locale
     *
     * @param string|null $locale
     * @return string|null
     */
    public function getLanguageForLocale($locale)
    {
        if (in_array($locale, array_keys($this->_options))) {
            return $locale;
        }

        $localeLanguage = substr($locale, 0, 2);

        foreach (array_keys($this->_options) as $language) {
            if (false !== strpos($language, $localeLanguage)) {
                return $language;
            }
        }

        return self::DEFAULT_LANGUAGE;
    }
}
