<?php
/**
 * This file is part of the official Amazon Checkout extension for Magento 1.x
 *
 * (c) 2020 creativestyle GmbH. All Rights reserved
 *
 * Distribution of the derivatives reusing, transforming or being built upon
 * this software, is not allowed without explicit written permission granted
 * by creativestyle GmbH
 *
 * @category   Creativestyle
 * @package    Creativestyle_AmazonCheckout
 * @copyright  2020 creativestyle GmbH
 * @author     Marek Stefan <ticket@creativestyle.de>
 */

class Creativestyle_AmazonCheckout_Adminhtml_Amazonpay_DebugController extends Mage_Adminhtml_Controller_Action
{
    protected function _initAction($actionMenuItem, $actionBreadcrumbs)
    {
        $this->_setActiveMenu('creativestyle/amazonpay/' . $actionMenuItem);
        foreach ($actionBreadcrumbs as $breadcrumb) {
            $this->_addBreadcrumb($this->__($breadcrumb), $this->__($breadcrumb))
                ->_title($breadcrumb);
        }

        return $this;
    }

    public function indexAction()
    {
        $this->loadLayout()
            ->_initAction('debug', array('Amazon Pay and Login with Amazon', 'Debug data'))
            ->renderLayout();
    }

    public function downloadAction()
    {
        $debugData = json_encode(Mage::getModel('amazonpay/debug')->getCompleteDebugData());
        $filename = str_replace(
            array('.', '/', '\\'),
            array('_'),
            // @codingStandardsIgnoreStart
            parse_url(
                Mage::getStoreConfig(Mage_Core_Model_Store::XML_PATH_UNSECURE_BASE_URL),
                PHP_URL_HOST
            )
            // @codingStandardsIgnoreEnd
        ) . '_cv2_debug_' . Mage::getModel('core/date')->gmtTimestamp() . '.dmp';
        Mage::app()->getResponse()->setHeader('Content-type', 'application/base64');
        Mage::app()->getResponse()->setHeader('Content-disposition', 'attachment;filename=' . $filename);
        Mage::app()->getResponse()->setBody($debugData);
    }

    /**
     * @inheritdoc
     */
    protected function _isAllowed()
    {
        return Mage::getSingleton('admin/session')->isAllowed('admin/creativestyle/amazonpay/debug');
    }
}
